org.apache.tinkerpop.gremlin.process.traversal.step.map

## Class MapValuesTest.Traversals

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest
    - - org.apache.tinkerpop.gremlin.process.traversal.step.map.MapValuesTest
      - - org.apache.tinkerpop.gremlin.process.traversal.step.map.MapValuesTest.Traversals

- Enclosing class:
    MapValuesTest

  Deprecated.
  As of release 3.1.0-incubating

      @Deprecated
      public static class MapValuesTest.Traversals
      extends MapValuesTest

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.map.MapValuesTest

      `MapValuesTest.Traversals`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Traversals()` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `Traversal<Vertex,Long>` | `get_g_V_outE_valuesXweightX_groupCount_mapValues_groupCount_mapValues()` Deprecated.
    `Traversal<Vertex,Long>` | `get_g_V_outE_valuesXweightX_groupCount_mapValues()` Deprecated.
    `Traversal<Vertex,Long>` | `get_g_V_outE_valuesXweightX_groupCount_unfold_mapValues()` Deprecated.

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.map.MapValuesTest

      `g_V_outE_valuesXweightX_groupCount_mapValues_groupCount_mapValues, g_V_outE_valuesXweightX_groupCount_mapValues, g_V_outE_valuesXweightX_groupCount_unfold_mapValues`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest

      `checkMap, checkOrderedResults, checkResults, checkResults, checkSideEffects, graphMeetsTestRequirements, hasGraphComputerRequirement, makeMapList, setupTest`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRandomCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Traversals

          public Traversals()

      Deprecated.

  - ### Method Detail

    - #### get_g_V_outE_valuesXweightX_groupCount_mapValues

          public Traversal<Vertex,Long> get_g_V_outE_valuesXweightX_groupCount_mapValues()

      Deprecated.
      Specified by:
        `get_g_V_outE_valuesXweightX_groupCount_mapValues` in class `MapValuesTest`

    - #### get_g_V_outE_valuesXweightX_groupCount_unfold_mapValues

          public Traversal<Vertex,Long> get_g_V_outE_valuesXweightX_groupCount_unfold_mapValues()

      Deprecated.
      Specified by:
        `get_g_V_outE_valuesXweightX_groupCount_unfold_mapValues` in class `MapValuesTest`

    - #### get_g_V_outE_valuesXweightX_groupCount_mapValues_groupCount_mapValues

          public Traversal<Vertex,Long> get_g_V_outE_valuesXweightX_groupCount_mapValues_groupCount_mapValues()

      Deprecated.
      Specified by:
        `get_g_V_outE_valuesXweightX_groupCount_mapValues_groupCount_mapValues` in class `MapValuesTest`

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.